--- title: "getCloudMysqlBackupDetailList" slug: "database-vmysql-getcloudmysqlbackupdetaillist" updated: 2026-09-17T10:05:54Z published: 2026-09-17T10:05:54Z canonical: "api.ncloud-docs.com/database-vmysql-getcloudmysqlbackupdetaillist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudMysqlBackupDetailList Available in VPC Get Cloud DB for MySQL instance backup details in a list. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET \| POST | /vmysql/v2/getCloudMysqlBackupDetailList | ### Request headers For headers common to all Cloud DB for MySQL (VPC) APIs, see [Cloud DB for MySQL (VPC) request headers](/docs/en/database-vmysql#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - Region code of the Cloud DB for MySQL server instance to view - Check through [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) - First Region of the `getRegionList` query result (default) | | `cloudMysqlInstanceNo` | String | Required | Instance number of Cloud DB for MySQL - Check through [getCloudMysqlInstanceList](/docs/en/database-vmysql-getcloudmysqlinstancelist) | | `pageNo` | Integer | Optional | Page numbers in paged results - Page the result values using `pageNo` and `pageSize` - 0 (minimum) | | `pageSize` | Integer | Conditional | Number of results to display on a page - Page the result values using `pageNo` and `pageSize` - Required when entering `pageNo` - 1 (minimum) | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmysql/v2/getCloudMysqlBackupDetailList ?regionCode=KR &cloudMysqlInstanceNo=****890 &pageNo=0 &pageSize=30' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [CloudMysqlBackupDetailList](/docs/en/common-vapidatatype-cloudmysqlbackupdetaillist) for the response body. ### Response status codes For information about the HTTP status codes common to all Cloud DB for MySQL (VPC) APIs, see [Cloud DB for MySQL (VPC) response status codes](/docs/en/database-vmysql#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. - If `responseFormatType=json` ``` { "getCloudMysqlBackupDetailListResponse": { "totalRows": 1, "cloudMysqlBackupDetailList": [ { "fileName": "20240524", "startTime": "2024-06-12T09:00:00+0900", "endTime": "2024-06-12T09:00:13+0900", "backupSize": 597617308, "dataStorageSize": 10737418240 } ], "requestId": "390769d7-****-****-****-05c7df3603f1", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` 390769d7-****-****-****-05c7df3603f1 0 success 2 20240524 2024-05-24T02:05:03+0900 2024-05-24T02:05:43+0900 597617308 10737418240 20240523 2024-05-23T11:41:16+0900 2024-05-23T11:41:30+0900 597612256 10737418240 ```